Como instalar o KDE 5 no Slackware Current

Vamos atualizar o KDE 5_15.10 no Slackware, que é composto pelo KDE Frameworks 5.15.0, Plasma 5.4.2 e aplicações para o KDE "Applications" 15.08.2. Atualizar do KDE 4.2 para o atual 5.15.10 (hoje!) deveria ser muito simples. KDE-5_15.10 deve ser instalado apenas em uma instalação atualizada current e ela irá substituir qualquer versão do KDE 4 que você tenha instalado!

[ Hits: 12.806 ]

Por: Slackware Campinas em 16/12/2015 | Blog: http://fabioalvaro.blogspot.com


Instale os pacotes pré-compilados



Para instalar ou atualizar o KDE 5 siga os passos abaixo.

Se certifique que você não está rodando o KDE ou X! Se você estiver rodando uma sessão do X então faça logout primeiro e se você estiver no modo gráfico (runlevel 4) você deve primeiro mudar para o runlevel 3 (console), basta digitar no konsole "init 3".

Se você ainda tem o KDE 4 instalado, ele deve ser removido primeiro. Nenhum caminho de upgrade pode ser informado, faça o seguinte.

Se você tem o slackware-current padrão do KDE 4.14.3 instalado:

# removepkg /var/log/packages/*-4.14.3-*
# removepkg libkscreen
# removepkg kscreen
# removepkg kactivities
# removepkg kde-workspace
# removepkg libmm-qt
# removepkg libnm-qt
# removepkg plasma-nm
# removepkg polkit-kde-agent-1
# removepkg polkit-kde-kcmodules-1
# removepkg kdeconnect-kde


...ao invés dos comandos acima use:

# slackpkg remove kde

Se você já tem o pacote 'ktown' do alien configurado na versão do KDE 5_15.09_02 instalado nenhuma ação é necessária.

Se você já tem o pacote 'ktown' do alien configurado na versão do KDE 5_15.09 instalado, atualize para o KDE-5_15.09_02 e remova os pacotes que não existem mais no KDE 5_15.09_02:

# removepkg LoginKit

Se você já tem o pacote 'ktown' do alien configurado na versão do KDE 5_15.07 instalado, atualize para o KDE-5_15.09 e remova os pacotes que não existem main no KDE 5_15.09:

# removepkg ConsoleKit
# removepkg grantlee-qt5
# removepkg kgamma
# removepkg pairs


Se você já tem o pacote 'ktown' do alien configurado na versão do KDE 5_15.06 instalado, nenhuma ação é necessária.

Se você já tem o pacote 'ktown' do alien configurado na versão do KDE 5_15.05 instalado, reinstale os seguintes pacotes 'ktown':
  • kactivities-framework

Se você já tem o pacote 'ktown' do alien configurado na versão do KDE 5_15.04 instalado, remova os pacotes que não existem mais no KDE 5_15.05:

# removepkg qt-gstreamer0

Reinstale os pacotes 'ktown':
  • qt-gstreamer

Se você já tem o pacote 'ktown' do alien configurado na versão do KDE 5_15.03 instalado, remova pacotes que não existem mais no KDE 5_15.04:

# removepkg gst1-plugins-base
# removepkg gst1-plugins-good
# removepkg gstreamer1
# removepkg qt-gstreamer1
# removepkg libmm-qt5


Reinstale os pacotes originais do slackware current que foram removidos do "deps" no KDE 5_15.04 (esse será o mais fácil de todos usando o slackpkg):
  • LibRaw
  • akonadi
  • attica
  • cmake
  • eigen3
  • exiv2
  • grantlee
  • harfbuzz
  • libfakekey
  • libodfgen
  • librevenge
  • libssh
  • libwpd
  • orc
  • poppler
  • qt
  • shared-desktop-ontologies
  • soprano
  • strigi

Então prossiga com atualização/instalação do KDE 5 conforme comentado abaixo.

Para tornar isso mais fácil pra gente, em apenas uma linha de comando para baixar todo o diretório dos pacotes (sem os fontes é claro), tanto com 32-bit quanto 64 bits (e seja cuidadoso com o ponto "." no final do comando, pois ele é parte do comando!!!!)

# rsync -av rsync://alien.slackbook.org/alien/ktown/current/5 .

Ou também se você quer baixar apenas os pacotes para uma arquitetura específica, você poderia rodar um dos comandos abaixo (tome cuidado com o ponto novamente no final do comando ".")

Se quiser apenas os pacotes 64 bits:

# rsync -av --exclude=x86 rsync://alien.slackbook.org/alien/ktown/current/5 .

Se quiser apenas os pacotes 32bits:

# rsync -av --exclude=x86_64 rsync://alien.slackbook.org/alien/ktown/current/5 .

Presumindo que você apenas tenha baixado o pacote de acordo com a sua arquitetura e dentro do diretório "5" que criamos, você precisa mudar seu diretório atual para ir onde você irá encontrar o arquivo README (o qual é o diretório 5 que acabamos de falar). Se você usou um dos comandos "rsync" acima então agora falta apenas dar os comandos abaixo:

# cd 5

Estando dentro desse diretório você deve rodar o seguinte comando como root (note que alguns dos antigos modelos de pacotes KDE agora são obsoletos, eles foram removidos renomeados ou integrado e essa é a razão das linhas 'removepkg' ).

No Slackware 32-bit:

# upgradepkg --reinstall --install-new x86/deps/*.t?z
# upgradepkg --reinstall --install-new x86/deps/telepathy/*.t?z
# upgradepkg --reinstall --install-new x86/kde/*/*.t?z


No Slackware 64-bit:

# upgradepkg --reinstall --install-new x86_64/deps/*.t?z
# upgradepkg --reinstall --install-new x86_64/deps/telepathy/*.t?z
# upgradepkg --reinstall --install-new x86_64/kde/*/*.t?z


Se você já tem uma ou mais linguagens fora o inglês instalado (no nosso caso temos o portugues-BR).

No Slackware 32-bit:

# upgradepkg x86/kdei/*.t?z

No Slackware 64-bit:

# upgradepkg x86_64/kdei/*.t?z

Se você quiser instalar um pacote de linguagem (fora o inglês) que ainda não foi instalado, substitua pelo código do pais ao invés de 'XX' no comando abaixo:

# upgradepkg --install-new x86_64/kdei/kde-l10n-XX-*.t?z

Verificar se algum arquivo de configuração ".new" foi deixado para traz pelos comandos upgradepkg. Compare eles com os originais e decida qual você precisa utilizar.

# find /etc/ -name "*.new"

Uma ferramenta gráfica (ncurses) para processar estes arquivos "*.new" no slackpkg:

# slackpkg new-config

Então reinicie seu sistema!

# reboot

Qualquer ajuda é só falar. Abraços e boa sorte!

Atualização:

Eu fiz dois scripts que já fazem o processo automaticamente...

Esse baixa:
Linux: Como instalar o KDE 5 no Slackware Current
Esse remove:
Linux: Como instalar o KDE 5 no Slackware Current
Esse instala:
Linux: Como instalar o KDE 5 no Slackware Current
Fontes:
Página anterior    

Páginas do artigo
   1. Como instalar o KDE 5 no Slackware 14.1
   2. Instale os pacotes pré-compilados
Outros artigos deste autor
Nenhum artigo encontrado.
Leitura recomendada

Configurando conexão ADSL com Linux

Conexão dial-up no Gnome usando o network-admin

Criando um servidor DNS com o DJBDNS

Integrando Bind com Active Directory (AD)

Criando uma imagem de instalação do Ubuntu

  
Comentários
[1] Comentário enviado por osterno em 17/12/2015 - 09:17h

Obrigado Fabio Alvaro, pela contribuição. Vou atualizar o meu fim de semana.
Adoro essa distribuição..
Abraços.

[2] Comentário enviado por slackwarecps em 17/12/2015 - 09:50h

Valeu amigo, teste primeiro em uma maquina virtual ok? esse link esta sempre mudando... ele sempre atualiza..

Fabio Alvaro
======================
Evangelista Linux Slackware

[3] Comentário enviado por Steve em 02/03/2017 - 22:38h

Achei sua explicação um tanto bagunçada e toda embaralhada, você logo no início do artigo diz que explicará a instalação, então escreve "VAMOS LÁ" coloca uma imagem inútil do seu terminal pela metade sem nenhuma informação útil e pronto! Instalou! Isso não ajuda em nada! Então bastante linhas lá embaixo fala do pacote Slackbuild do Alien. Resumo não parece que você sabe instalar o KDE. Pensei que em seu artigo você teria BOA VONTADE de ajudar, informando LINK do KDE para download (Não de AlienBOB) onde poderíamos baixar o KDE, depois explicar como Compilar e instalar puramente no Slackware. Mas nada disso existe em seu artigo, então para mim TUDO o que você diz não serve para nada, além de ser bastante enrolado e misturado todas as explicações que você dá. EX: Você explicando como sair de sua casa para ir na padaria comprar pão, para uma pessoa que nunca foi em sua casa: Você abre a porta e PUM compra o Pão na padaria! Isso não é explicação, porque se é uma explicação isso eu posso dizer para você que para saber como Pilotar um avião, basta entrar nele e PUM você sai voando!


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts